<?xml version="1.0" encoding="UTF-8"?>
<configuration xmlns="http://orei.inra.fr/configuration"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://orei.inra.fr/configuration configuration.xsd ">
    <module>
        <coreConfiguration>
            <id>lacs_peri-alpins</id>
            <siteSeparatorForFileNames>-</siteSeparatorForFileNames>
            <name>F-ORE-T</name>
            <mailAdmin>si-foret@orleans.inra.fr</mailAdmin>
            <mailHost>localhost</mailHost>
            <repositoryURI>${user.home}/tmp-foret/</repositoryURI>
        </coreConfiguration>
    </module>
    <module>
        <localizationConfiguration>
            <localizations defaultLanguage="fr">
                <localization language="fr" />
                <localization language="en" />
            </localizations>
        </localizationConfiguration>
    </module>
    <module>
        <systemConfiguration>
            <memories>
                <memory name="publish" memory="30" />
                <memory name="extract" memory="50" />
            </memories>
        </systemConfiguration>
    </module>

    <module>
        <metadataConfiguration>
            <metadata>
                <name language="key">arborescence/type_de_zones_d_etudes</name>
                <name language="fr">Arborescence/Type de zones d'études</name>
                <name language="en">Tree/Type of zones of studies</name>
                <order>1</order>
                <description language="key">tze_description</description>
                <description language="fr">Définit le type de zone d'étude</description>
                <description language="en">Defines the type of study area.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.typezoneetude.Recorder
                </recorder>
                <spring-dao>
                    <class>typeSiteDAO</class>
                </spring-dao>
            </metadata>


            <metadata>
                <name language="key">arborescence/sites</name>
                <name language="fr">Tree/Sites</name>
                <name language="en">Arborescence/Sites</name>
                <order>2</order>
                <description language="key">sites_description</description>
                <description language="fr">Un site est défini par sa localisation. Un site est découpé en parcelles sur lesquelles sont effectués des traitements.</description>
                <description language="en">A site is defined by its location. A site is cut into plots on which are carried out treatments.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.site.Recorder</recorder>
                <spring-dao>
                    <class>typeSiteDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>siteForetDAO</class>
                </spring-dao>
            </metadata>

            <metadata>
                <name language="key">arborescence/theme</name>
                <name language="fr">Arborescence/Thèmes</name>
                <name language="en">Tree/Thematics</name>
                <order>2</order>
                <description language="key">themes_description</description>
                <description language="fr">Une thématique regroupe un ensemble de type de données  similaires </description>
                <description language="en">A thematic group includes a set of similar data types</description>
                <recorder>org.inra.ecoinfo.refdata.theme.Recorder</recorder>
                <spring-dao>
                    <class>themeDAO</class>
                </spring-dao>
            </metadata>

            <metadata>
                <name language="key">arborescence/datatype</name>
                <name language="fr">Arborescence/Types de données</name>
                <name language="en">Tree/Datatype</name>
                <order>2</order>
                <description language="key">datatype_description</description>
                <description language="fr">Un type de donnée est défini par un format de fichier d'entrée et de traitements associés.Chaque type de données à ses propres définitions de variables.</description>
                <description language="en">A data type is defined by an input file format and associated processes.Each data type has its own variable definitions.</description>
                <recorder>org.inra.ecoinfo.refdata.datatype.Recorder
                </recorder>
                <spring-dao>
                    <class>datatypeDAO</class>
                </spring-dao>
            </metadata>

            <metadata>
                <name language="key">arborescence/types_de_donnees_par_themes_de_sites</name>
                <name language="fr">Arborescence/Types de données par thèmes de sites</name>
                <name language="en">Tree/Data types by thematics and sites</name>
                <order>3</order>
                <description language="key">types_de_donnees_par_themes_de_sites_description</description>
                <description language="fr">Cette données de référence permet de définir une arborescence qui sera utilisée pour déposer des fichiers de données sur des types de données.</description>
                <description language="en">This reference data defines a tree that will be used to deposit data files on data types.</description>
                <recorder>org.inra.ecoinfo.refdata.sitethemedatatype.Recorder
                </recorder>
                <spring-dao>
                    <class>datatypeDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>siteThemeDatatypeDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>siteDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>themeDAO</class>
                </spring-dao>

            </metadata>

            <metadata>
                <name language="key">metrologie/unites</name>
                <name language="fr">Métrologie/Unités</name>
                <name language="en">Metrology/Units</name>
                <order>4</order>
                <description language="key">unites_description</description>
                <description language="fr">Définit les unités. La colonne affichage est celle utiliser pour les en-tête de colonne.</description>
                <description language="en">Defines the units. The display column is the one used for column headers.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.unite.Recorder</recorder>
                <spring-dao>
                    <class>uniteDAO</class>
                </spring-dao>
            </metadata>

            <metadata>
                <name language="key">metrologie/variables</name>
                <name language="fr">Métrologie/Variables</name>
                <name language="en">Metrology/Variables</name>
                <order>4</order>
                <description language="key">variables_description</description>
                <description language="fr">Une variable définit un objet mesurable. Elle s'exprime pour un type de données dans une unité spécifique.</description>
                <description language="en">A variable defines a measurable object. It is expressed for a data type in a specific unit.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.variable.Recorder
                </recorder>
                <spring-dao>
                    <class>variableDAO</class>
                </spring-dao>
            </metadata>

            <metadata>
                <name language="key">metrologie/variables_par_types_de_donnees</name>
                <name language="fr">Métrologie/Variables par types de données</name>
                <name language="en">Metrology/Variables by data types</name>
                <order>5</order>
                <description language="key">variables_et_unites_par_types_de_donnees_description</description>
                <description language="fr">Cette donnée de référence définit quelles sont les variables associées à un type de données, et en quelle unité elle s'exprime.</description>
                <description language="en">This reference datum defines which variables are associated with a data type, and in which unit it expresses itself.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.datatypevariableunite.Recorder
                </recorder>
                <spring-dao>
                    <class>datatypeDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>variableDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>uniteDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>datatypeVariableUniteForetDAO</class>
                </spring-dao>

            </metadata>
            <metadata>
                <name language="key">measure/traitements</name>
                <name language="fr">Mesures/Traitements</name>
                <name language="en">Measure/Treatments</name>
                <order>6</order>
                <description language="key">traitement_programme_description</description>
                <description language="fr">Définit un traitememnt à appliquer à un ensemble un site.</description>
                <description language="en">Define teatment treatment applied to a site. </description>
                <recorder>org.inra.ecoinfo.foret.refdata.traitement.Recorder
                </recorder>
                <spring-dao>
                    <class>siteForetDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>traitementDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/references</name>
                <name language="fr">Mesure/Références</name>
                <name language="en">Measure/References</name>
                <order>6</order>
                <description language="key">references_description</description>
                <description language="fr">Définit des références</description>
                <description language="en">Sets references </description>
                <recorder>org.inra.ecoinfo.foret.refdata.reference.Recorder
                </recorder>
                <spring-dao>
                    <class>referenceDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/methods</name>
                <name language="fr">Mesure/Méthodes</name>
                <name language="en">Measure/Methods</name>
                <order>6</order>
                <description language="key">instrument_description</description>
                <description language="fr">Définit des méthodes</description>
                <description language="en">Sets methods </description>
                <recorder>org.inra.ecoinfo.foret.refdata.methodecalcul.Recorder
                </recorder>
                <spring-dao>
                    <class>methodeCalculDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/references_des_methodes</name>
                <name language="fr">Mesure/Références des méthodes</name>
                <name language="en">Measure/Methods references</name>
                <order>7</order>
                <description language="key">references_methods_description</description>
                <description language="fr">Définit des références pour des méthodes</description>
                <description language="en">Sets references for methods </description>
                <recorder>org.inra.ecoinfo.foret.refdata.methodecalculreference.Recorder
                </recorder>
                <spring-dao>
                    <class>methodeCalculDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>referenceDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>methodeCalculReferenceDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/periodes_d_application_des_methodes</name>
                <name language="fr">Mesure/Périodes d'application des méthodes</name>
                <name language="en">Measure/Application periods of methods</name>
                <order>8</order>
                <description language="key">periods_methods_description</description>
                <description language="fr">Définit des périodes pour des méthodes</description>
                <description language="en">Sets periods for methods </description>
                <recorder>org.inra.ecoinfo.foret.refdata.periodeapplicationmethode.Recorder
                </recorder>
                <spring-dao>
                    <class>methodeCalculDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>periodeApplicationMethodeDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>datatypeVariableUniteForetDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/instruments</name>
                <name language="fr">Mesure/Instruments</name>
                <name language="en">Measure/Instruments</name>
                <order>6</order>
                <description language="key">instrument_description</description>
                <description language="fr">Définit des instruments.</description>
                <description language="en">Sets instruments. </description>
                <recorder>org.inra.ecoinfo.foret.refdata.instrument.Recorder
                </recorder>
                <spring-dao>
                    <class>instrumentDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/references_des_instruments</name>
                <name language="fr">Mesure/Références des instruments</name>
                <name language="en">Measure/Instruments references</name>
                <order>7</order>
                <description language="key">references_instruments_description</description>
                <description language="fr">Définit des références pour des instruments</description>
                <description language="en">Sets references for instruments</description>
                <recorder>org.inra.ecoinfo.foret.refdata.instrumentreference.Recorder
                </recorder>
                <spring-dao>
                    <class>instrumentDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>referenceDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>instrumentReferenceDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/periodes_d_utilisation_des_instruments</name>
                <name language="fr">Mesure/Périodes d'utilisation des instruments</name>
                <name language="en">Measure/Use periods of instruments</name>
                <order>8</order>
                <description language="key">periods_instruments_description</description>
                <description language="fr">Définit des périodes pour des instruments</description>
                <description language="en">Sets periods for instrument </description>
                <recorder>org.inra.ecoinfo.foret.refdata.periodeutilisationinstrument.Recorder
                </recorder>
                <spring-dao>
                    <class>instrumentDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>periodeUtilisationInstrumentDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>datatypeVariableUniteForetDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/liste_de_valeurs_d_informations_complementaires</name>
                <name language="fr">Mesure/Liste de valeurs d'informations complémentaires</name>
                <name language="en">Measure/List of complement information values</name>
                <order>6</order>
                <description language="key">listes_itineraire_description</description>
                <description language="fr">Ensemble de listes de valeurs. Le nom fait référence au nom d'une liste, et sa valeur une nouvelle entrée de cette liste. Les liste peuvent être utilisées pour contraindre des valeurs aux seuls éléments d'une liste.</description>
                <description language="en">Set of lists of values. The name refers to the name of a list, and its value is a new entry in that list. The list can be used to constrain values ​​to only the elements of a list.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.listevaleurinfo.Recorder
                </recorder>
                <spring-dao>
                    <class>listeValeurInfoDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>itemListeDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/informations_complementaires</name>
                <name language="fr">Mesure/Informations complementaires</name>
                <name language="en">Measure/Complement information</name>
                <order>7</order>
                <description language="key">info_complementaires_description</description>
                <description language="fr">Définit des informations complémentaires</description>
                <description language="en">Defines some additional informations.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.informationcomplementaire.Recorder
                </recorder>
                <spring-dao>
                    <class>infoComplementaireDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>listeValeurInfoDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">measure/informations_complementaires_par_site_theme_type_de_donnees_et_variable</name>
                <name language="fr">Mesure/Informations complémentaires par site, thème, type de données et variable</name>
                <name language="en">Measure/Complement information for site, theme, datatype and variable </name>
                <order>8</order>
                <description language="key">info_complementaires_variables_description</description>
                <description language="fr">Définit quelles informations complémentaires sont associées aux variables</description>
                <description language="en">Defines which additional information is associated with the variables.</description>
                <recorder>org.inra.ecoinfo.foret.refdata.infocomplstdtvar.Recorder
                </recorder>
                <spring-dao>
                    <class>variableDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>infoComplementaireDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>infoCpltStdtVariableDAO</class>
                </spring-dao>
                <spring-dao>
                    <class>datatypeVariableUniteForetDAO</class>
                </spring-dao>
            </metadata>
            <metadata>
                <name language="key">type_de_fichiers</name>
                <name language="fr">Type de fichiers</name>
                <name language="en">Files' type</name>
                <description language="key">type_de_fichiers_description</description>
                <description language="fr">Utilisé pour le dépôt de fichiers complémentaires. Définit la liste des types de fichiers complémentaires.</description>
                <description language="en">Used for filing additional files. Sets the list of additional file types.</description>
                <recorder>org.inra.ecoinfo.filecomp.Recorder</recorder>
                <spring-dao>
                    <class>fileTypeDAO</class>
                </spring-dao>
            </metadata>
        </metadataConfiguration>
    </module>
    <module>
        <datatypeConfiguration>
                        <dataType>
                <name language="key">flux_sh</name>
                <name language="fr">Flux sh</name>
                <name language="en">Flow sh</name>
                <description language="fr">Flux atmosphérique semi-horaire
                </description>
                <description language="en">Atmospheric semi-hourly flow
                </description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorderFlux_if</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">flux_j</name>
                <name language="fr">Flux j</name>
                <name language="en">Flow d</name>
                <description language="fr">Flux atmosphérique journalier
                </description>
                <description language="en">Atmospheric daily flow
                </description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorderFlux_j</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">flux_m</name>
                <name language="fr">Flux m</name>
                <name language="en">Flux m</name>
                <description language="fr">Flux atmosphérique mensuel
                </description>
                <description language="en">Atmospheric monthly flow
                </description>
                <fileNameDateFormat>MM-yyyy</fileNameDateFormat>
                <recorder>recorderFlux_m</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">meteo_sh</name>
                <name language="fr">Meteo sh</name>
                <name language="en">Weather sh</name>
                <description language="fr">Météo semi-horaire</description>
                <description language="en">Semi-hourly weather</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorderMeteo_if</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">meteo_j</name>
                <name language="fr">Meteo j</name>
                <name language="en">Weather d</name>
                <description language="fr">Météo journalière</description>
                <description language="en">Daily weather</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorderMeteo_j</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">meteo_m</name>
                <name language="fr">Meteo m</name>
                <name language="en">Weather m</name>
                <description language="fr">Météo mensuelles</description>
                <description language="en">Monthly weather</description>
                <fileNameDateFormat>MM-yyyy</fileNameDateFormat>
                <recorder>recorderMeteo_m</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">swc_j</name>
                <name language="fr">SWC j</name>
                <name language="en">SWC d</name>
                <description language="key">swc_j_desc</description>
                <description language="fr">Humidité volumique journalière</description>
                <description language="en">Daily volume humidity</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_SWC_j
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">swc_infraj</name>
                <name language="fr">SWC infraj</name>
                <name language="en">SWC infraj</name>
                <description language="key">swc_infra_desc</description>
                <description language="fr">Humidité volumique infra-journalière</description>
                <description language="en">Infra-daily volume humidity</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_SWC_infraj
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">cms_m</name>
                <name language="fr">cms m</name>
                <name language="en">cms m</name>
                <description language="key">cms_m_desc</description>
                <description language="fr">Climat du sol : mesures mensuelles</description>
                <description language="en">Climate of the soil : monthly measures </description>
                <fileNameDateFormat>MM-yyyy</fileNameDateFormat>
                <recorder>recorder_cms_m</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">ts_j</name>
                <name language="fr">Ts j</name>
                <name language="en">Ts d</name>
                <description language="key">ts_j_desc</description>
                <description language="fr">Température journalière</description>
                <description language="en">Daily temperature</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_Tp_j
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">Ts infraj</name>
                <name language="fr">Ts infraj</name>
                <name language="en">Ts infraj</name>
                <description language="key">ts_infra_desc</description>
                <description language="fr">Température infra-journalière</description>
                <description language="fr">Infra-daily temperature</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_Tp_infraj
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">g_j</name>
                <name language="fr">G j</name>
                <name language="en">G d</name>
                <description language="key">g_j_desc</description>
                <description language="fr">Flux de chaleur journalier</description>
                <description language="en">Daily flow of heat</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_G_j
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">g_infraj</name>
                <name language="fr">G infraj</name>
                <name language="en">G infraj</name>
                <description language="key">g_infraj_desc</description>
                <description language="fr">Flux de chaleur infra-journalier</description>
                <description language="en">Infra-daily flow of heat</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_G_infraj
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">smp_j</name>
                <name language="fr">SMP j</name>
                <name language="en">SMP d</name>
                <description language="key">smp_j_desc</description>
                <description language="fr">Tension de l'eau journalière</description>
                <description language="en">Daily tension of water</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_SMP_j
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">smp_infraj</name>
                <name language="fr">SMP infraj</name>
                <name language="en">SMP infraj</name>
                <description language="key">smp_infraj_desc</description>
                <description language="fr">Tension de l'eau infra-journalière</description>
                <description language="en">Infra-daily tension of water</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_SMP_infraj
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">gwd_j</name>
                <name language="fr">GWD j</name>
                <name language="en">GWD d</name>
                <description language="key">gwd_j_desc</description>
                <description language="fr">Profondeur journaliere de la nappe</description>
                <description language="en">Daily depth of the groundwater</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_GWD_j
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">gwd_infraj</name>
                <name language="fr">GWD infraj</name>
                <name language="en">GWD infraj</name>
                <description language="key">gwd_infraj_desc</description>
                <description language="fr">Profondeur de la nappe infra-journalière</description>
                <description language="en">Infra-daily depth of the groundwater</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_GWD_infraj
                </recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
                        <dataType>
                <name language="key">chambrefluxsol_j</name>
                <name language="fr">ChambreFluxSol j</name>
                <name language="en">SoilFlowChamber d</name>
                <description language="fr">Chambre de flux du sol journalier</description>
                <description language="en">Daily soil flow chamber</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_ChambreFluxSol_j</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">chambrefluxsol_infraj</name>
                <name language="fr">ChambreFluxSol infraj</name>
                <name language="en">SoilFlowChamber infrad</name>
                <description language="fr">Chambre de flux du sol infra-journalier</description>
                <description language="en">Infra-daily soil flow chamber</description>
                <fileNameDateFormat>dd-MM-yyyy</fileNameDateFormat>
                <recorder>recorder_ChambreFluxSol_infraj</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetddmmyyyy</class>
                </name-file-checkers>
            </dataType>
            <dataType>
                <name language="key">chambrefluxsol_m</name>
                <name language="fr">ChambreFluxSol m</name>
                <name language="en">SoilFlowChamber m</name>
                <description language="fr">Chambre de flux du sol mensuel</description>
                <description language="en">Monthly soil flow chamber</description>
                <fileNameDateFormat>MM-yyyy</fileNameDateFormat>
                <recorder>recorder_ChambreFluxSol_m</recorder>
                <name-file-checkers>
                    <class>fileNameCheckerForetmmyyyy</class>
                </name-file-checkers>
            </dataType>
        </datatypeConfiguration>
    </module>
    <module>
        <extractionConfiguration>
            <extraction>
                <name language="fr">Flux et météo</name>
                <name language="en">Flow and weather</name>
                <description>Extraction de données de flux et de météo</description>
                <extractor>fluxmeteoExtractor</extractor>
                <outputDisplay number="1">
                    <class>fluxMeteoBuildOutputDisplayByRow</class>
                </outputDisplay>
                <outputDisplay number="2">
                    <class>fluxMeteoBuildOutputDisplayBySite</class>
                </outputDisplay>
            </extraction>
            <extraction>
                <name language="en">Soil climate</name>
                <name language="fr">Climat du sol</name>
                <description>Extraction de données de climat du sol</description>
                <extractor>climatsolExtractor</extractor>
                <outputDisplay number="1">
                    <class>cSOutputEuropeanDisplay</class>
                </outputDisplay>
                <outputDisplay number="2">
                    <class>cSOutputClassicDisplay</class>
                </outputDisplay>
            </extraction>
        </extractionConfiguration>
    </module>
    <module>
        <fileCompConfiguration>
            <folder>filecomp</folder>
        </fileCompConfiguration>
    </module>
</configuration>

